> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update environment

> Update details for a specific environment



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json patch /environments/{envId}
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /environments/{envId}:
    patch:
      tags:
        - Environments
      summary: Update environment
      description: Update details for a specific environment
      parameters:
        - in: path
          name: envId
          required: true
          schema:
            type: string
          description: Environment ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  description: The new name for the environment
      responses:
        '200':
          description: Environment successfully updated
          content:
            application/json:
              schema:
                type: string
                description: Confirmation of successful update
        '400':
          description: Invalid request body
        '404':
          description: Environment not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````